<kendo-dropdownlist
        [data]="appFilterData"
        [valuePrimitive]="true"
        [textField]="textField"
        [valueField]="valueField"
        [filterable]="true"
        [disabled]="isDisabled"
        [value]="value"
        class="app-auto-complete-with-new mb-0 w-100"
        [popupSettings]="{popupClass: 'app-add-new-dropdown-popup'}"
        (filterChange)="handleFilter($event)"
        (valueChange)="changeVal($event)"
        (open)="onOpenList($event)"
>
    <ng-template kendoDropDownListNoDataTemplate>
        <div>
            No data found.
            <ng-container *ngIf="filter">
                <div style="word-wrap: break-word; overflow: hidden; word-break: break-all;">
                    Do you want to add new item - '{{ filter }}' ?
                </div>
            </ng-container>
            <br/>
            <button *ngIf="filter" class="k-button" (click)="addNew()">
                Add new item
            </button>
        </div>
    </ng-template>
</kendo-dropdownlist>
